<template>

<OverlayBase
    v-bind:title="this.$t('exporting')"
    v-if="exporter"
>
    <p class="
        pb-8
        text-lg
        whitespace-pre
    ">
        {{ this.$t(exporter.status.message) }}
    </p>
    <button v-on:click="$emit('close')" class="
        btn-red
    ">
        {{ this.$t(message) }}
    </button>
</OverlayBase>

</template>

<script lang="ts">

import { Component, Prop, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import OverlayBase from '@/components/OverlayBase.vue';

import { Exporter } from '@/ts/exporter';
import { Factory } from '@/ts/factory';
import { Project } from '@/ts/project';
import { Saver } from '@/ts/saver';
import * as database from '@/ts/utils/database';

@Component({
    components: {
        OverlayBase,
    },
})
export default class C extends Vue {
    @State('factory')
    private factory!: Factory;

    @State('project')
    private project!: Project;

    @Prop()
    private exporter!: Exporter;

    @Prop({ default: '' })
    private message!: string;
}

</script>
